package com.zm.order.tool.server.response;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 陈标
 * @Description
 * @Date 2020/7/23 0023 17:12
 */
public class MetadataVO implements Serializable {


    private static final long serialVersionUID = -3938643942312309893L;

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private String id ;


    /**
     * 业务类型
     */
    @ApiModelProperty(value = "业务类型")
    private String bizType;


    /**
     * 属性
     */
    @ApiModelProperty(value = "元数据属性")
    private String property;

    /**
     * 值
     */
    @ApiModelProperty(value = "元数据值")
    private String  value;

    /**
     * 描述
     */
    @ApiModelProperty(value = "元数据值描述")
    private String description;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "id")
    private Date createdAt;

    /**
     * 修改时间
     */
    @ApiModelProperty(value = "id")
    private Date updatedAt;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBizType() {
        return bizType;
    }

    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    public String getProperty() {
        return property;
    }

    public void setProperty(String property) {
        this.property = property;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
